> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# CIN Verification

> Set of APIs that help fetch MCA Director Master Data & Company Master Data.

The Cin section of the Developers API allows users to retrieve verification information related to a company's Corporate Identification Number (CIN). With this functionality, users can quickly access important details and validate the authenticity of a company based on its unique identification number. This section streamlines the process of verifying corporate entities for various business and compliance purposes.


## OpenAPI

````yaml GET /v1/verification/mca/cin
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/verification/mca/cin:
    get:
      tags:
        - MCA APIs
      summary: Cin Verification
      description: >-
        API to get company master data using CIN (Company Identification
        Number).       
            
      operationId: Cin_Verification_v1_verification_mca_cin_get
      parameters:
        - required: true
          schema:
            title: Id Number
            type: string
            description: >-
              The identification number associated with the verification request
              for the Ministry of Corporate Affairs (MCA) Certificate of
              Incorporation Number (CIN).
          name: id_number
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response 200 - CIN Found / LLPIN Found / No Records Found
                oneOf:
                  - $ref: '#/components/schemas/RESPONSE_MCA_CIN_200_CIN_FOUND'
                  - $ref: '#/components/schemas/RESPONSE_MCA_CIN_200_LLPIN_FOUND'
                  - $ref: '#/components/schemas/RESPONSE_MCA_CIN_200_NO_RECORDS_FOUND'
              examples:
                200 - CIN Found:
                  value:
                    code: 200
                    timestamp: 1738236700074
                    transaction_id: ed0b4ef3-4768-47fa-99c4-4da7e2eea871
                    data:
                      company_master_data:
                        company_category: Company limited by shares
                        email_id: tataind@tata.com
                        class_of_company: Public
                        date_of_last_agm: 25/06/2024
                        registered_address: >-
                          TATA INDUSTRIES LTD BOMBAY HOUSE  24 HOMI   MODY 
                          STREET MUMBAI Maharashtra India 400001
                        registration_number: '004403'
                        paid_up_capital(rs): '10795460200'
                        whether_listed_or_not: Unlisted
                        suspended_at_stock_exchange: '-'
                        cin: U44003MH1945PLC004403
                        company_subcategory: Non-government company
                        authorised_capital(rs): '11600000000'
                        company_status(for_efiling): Active
                        roc_code: ROC Mumbai
                        date_of_balance_sheet: 31/03/2024
                        date_of_incorporation: 07/04/1945
                        company_name: TATA INDUSTRIES LIMITED
                        active_compliance: ACTIVE Compliant
                        main_division_of_business_activity_to_be_carried_out_in_india: ''
                        previous_firm/_company_details,_if_applicable: ''
                        number_of_designated_partners: ''
                        total_obligation_of_contribution: '0'
                        description_of_main_division: ''
                        number_of_partners: ''
                        rd_region: Western Region
                        balance_sheets: []
                        annual_returns: []
                      charges: []
                      directors/signatory_details:
                        - end_date: '-'
                          din/pan: '00028428'
                          designation: Director
                          begin_date: 12/12/2016
                          name: FAROKH NARIMAN SUBEDAR
                200 - LLPIN Found:
                  value:
                    code: 200
                    timestamp: 1738307808841
                    transaction_id: 9a8877b4-a086-46ef-a1de-e7cfc16ff654
                    data:
                      llp_master_data:
                        llpin: AAD-1355
                        email_id: shreyconsultants@rediffmail.com
                        registered_address: >-
                          30, ASHIRWAD TOWER, G.E. ROAD Raipur RAIPUR
                          Chattisgarh India 492001
                        roc_code: ROC Chhattisgarh
                        number_of_designated_partners: '2'
                        description_of_main_division: Trading
                        date_of_incorporation: 01/01/2015
                        total_obligation_of_contribution: '784700'
                        llp_name: SHRISTI BARTER LLP
                        llp_status: Active
                        main_division_of_business_activity_to_be_carried_out_in_india: '52'
                        previous_firm/_company_details,_if_applicable: ''
                        number_of_partners: '2'
                        llp_strike_off/_amalgamated_date: ''
                        status_under_cirp: '-'
                        rd_region: North Western Region
                        balance_sheets: []
                        annual_returns: []
                      charges: []
                      directors/signatory_details:
                        - end_date: '-'
                          din/pan: '02096321'
                          designation: Designated Partner
                          begin_date: 01/01/2015
                          name: RAJESH KUMAR AGRAWAL
                200 - No Records Found:
                  value:
                    code: 200
                    timestamp: 1738237009131
                    transaction_id: fee3ffe1-7fbb-4a1f-9e49-0e1d644773c1
                    message: >-
                      Entered CIN/LLPIN/FLLPIN/FCRN is not found. Please enter
                      valid details.
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_MCA_CIN_400_INACTIVE_CLIENT'
              examples:
                400 - Inactive client_id:
                  value:
                    detail: Inactive client_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_MCA_CIN_401_UNAUTHENTICATED'
              examples:
                401 - Not authenticated:
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_MCA_CIN_403_ACCESS_FORBIDDEN'
              examples:
                403 - Not a valid token:
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_MCA_CIN_422_VALIDATION_ERROR'
              examples:
                422 - Validation Error:
                  value:
                    detail:
                      - loc:
                          - query
                          - id_number
                        msg: field required
                        type: value_error.missing
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_MCA_CIN_500_INTERNAL_SERVER_ERROR
              examples:
                500 - Internal Server Error:
                  value:
                    detail: Internal Server Error
components:
  schemas:
    RESPONSE_MCA_CIN_200_CIN_FOUND:
      title: CIN Found
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            company_master_data:
              title: Company Master Data
              type: object
              properties:
                cin:
                  title: CIN
                  type: string
                company_name:
                  title: Company Name
                  type: string
                company_category:
                  title: Company Category
                  type: string
                company_subcategory:
                  title: Company Subcategory
                  type: string
                class_of_company:
                  title: Class Of Company
                  type: string
                company_status(for_efiling):
                  title: Company Status
                  type: string
                roc_code:
                  title: ROC Code
                  type: string
                rd_region:
                  title: RD Region
                  type: string
                registration_number:
                  title: Registration Number
                  type: string
                date_of_incorporation:
                  title: Date Of Incorporation
                  type: string
                date_of_last_agm:
                  title: Date Of Last AGM
                  type: string
                date_of_balance_sheet:
                  title: Date Of Balance Sheet
                  type: string
                authorised_capital(rs):
                  title: Authorised Capital (Rs)
                  type: string
                paid_up_capital(rs):
                  title: Paid Up Capital (Rs)
                  type: string
                whether_listed_or_not:
                  title: Whether Listed Or Not
                  type: string
                suspended_at_stock_exchange:
                  title: Suspended At Stock Exchange
                  type: string
                active_compliance:
                  title: Active Compliance
                  type: string
                registered_address:
                  title: Registered Address
                  type: string
                email_id:
                  title: Email Id
                  type: string
                main_division_of_business_activity_to_be_carried_out_in_india:
                  title: Main Division Of Business Activity
                  type: string
                description_of_main_division:
                  title: Description Of Main Division
                  type: string
                previous_firm/_company_details,_if_applicable:
                  title: Previous Firm / Company Details
                  type: string
                number_of_partners:
                  title: Number Of Partners
                  type: string
                number_of_designated_partners:
                  title: Number Of Designated Partners
                  type: string
                total_obligation_of_contribution:
                  title: Total Obligation Of Contribution
                  type: string
                balance_sheets:
                  title: Balance Sheets
                  type: array
                  items:
                    type: object
                annual_returns:
                  title: Annual Returns
                  type: array
                  items:
                    type: object
            charges:
              title: Charges
              type: array
              items:
                type: object
            directors/signatory_details:
              title: Directors / Signatory Details
              type: array
              items:
                type: object
                properties:
                  name:
                    title: Name
                    type: string
                  din/pan:
                    title: DIN / PAN
                    type: string
                  designation:
                    title: Designation
                    type: string
                  begin_date:
                    title: Begin Date
                    type: string
                  end_date:
                    title: End Date
                    type: string
    RESPONSE_MCA_CIN_200_LLPIN_FOUND:
      title: LLPIN Found
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            llp_master_data:
              title: LLP Master Data
              type: object
              properties:
                llpin:
                  title: LLPIN
                  type: string
                llp_name:
                  title: LLP Name
                  type: string
                llp_status:
                  title: LLP Status
                  type: string
                roc_code:
                  title: ROC Code
                  type: string
                rd_region:
                  title: RD Region
                  type: string
                date_of_incorporation:
                  title: Date Of Incorporation
                  type: string
                llp_strike_off/_amalgamated_date:
                  title: LLP Strike Off / Amalgamated Date
                  type: string
                total_obligation_of_contribution:
                  title: Total Obligation Of Contribution
                  type: string
                number_of_partners:
                  title: Number Of Partners
                  type: string
                number_of_designated_partners:
                  title: Number Of Designated Partners
                  type: string
                main_division_of_business_activity_to_be_carried_out_in_india:
                  title: Main Division Of Business Activity
                  type: string
                description_of_main_division:
                  title: Description Of Main Division
                  type: string
                previous_firm/_company_details,_if_applicable:
                  title: Previous Firm / Company Details
                  type: string
                status_under_cirp:
                  title: Status Under CIRP
                  type: string
                registered_address:
                  title: Registered Address
                  type: string
                email_id:
                  title: Email Id
                  type: string
                balance_sheets:
                  title: Balance Sheets
                  type: array
                  items:
                    type: object
                annual_returns:
                  title: Annual Returns
                  type: array
                  items:
                    type: object
            charges:
              title: Charges
              type: array
              items:
                type: object
            directors/signatory_details:
              title: Directors / Signatory Details
              type: array
              items:
                type: object
                properties:
                  name:
                    title: Name
                    type: string
                  din/pan:
                    title: DIN / PAN
                    type: string
                  designation:
                    title: Designation
                    type: string
                  begin_date:
                    title: Begin Date
                    type: string
                  end_date:
                    title: End Date
                    type: string
    RESPONSE_MCA_CIN_200_NO_RECORDS_FOUND:
      title: No Records Found
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: >-
            Entered CIN/LLPIN/FLLPIN/FCRN is not found. Please enter valid
            details.
    RESPONSE_MCA_CIN_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_MCA_CIN_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_MCA_CIN_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_MCA_CIN_422_VALIDATION_ERROR:
      title: Validation Error
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  type: string
              msg:
                title: Message
                type: string
              type:
                title: Type
                type: string
    RESPONSE_MCA_CIN_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Internal Server Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.